TAIL(1)

NUME
tail - afișează ultima parte a fișierelor

SINOPSIS
tail [OPȚIUNE]... [FIȘIER]...

DESCRIERE

Afișează ultimele 10 linii ale fiecărui FIȘIER la ieșirea standard. Cu mai mult de un FIȘIER, precede fiecare cu un antet care indică numele fișierului.

Fără FIȘIER, sau când FIȘIER este „-”, citește intrarea standard.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-c, --bytes=[+]NUM
    afișează ultimii NUM octeți; sau dacă se utilizează „-c +NUM” afișează octeții începând cu octetul NUM al fiecărui fișier

-f, --follow[={nume|descriptor}]
    afișează datele adăugate pe măsură ce fișierul crește; un argument de opțiune absent înseamnă „descriptor”

-F  la fel ca „--follow=nume --retry”

-n, --lines=[+]NUM
    afișează ultimele NUM linii, în loc de ultimele 10; sau utilizați „-n +NUM” pentru a omite NUM-1 linii, din liniile de la începutul fișierului

--max-unchanged-stats=N
    cu --follow=name, redeschide un FIȘIER care nu și-a schimbat dimensiunea după N (implicit 5) iterații pentru a vedea dacă a fost înlăturat sau redenumit (acesta este cazul obișnuit al fișierelor log rotite); cu inotify, această opțiune este rareori utilă

--pid=PID
    cu -f, termină după procesul ID, acest PID moare; poate fi repetată pentru a urmări mai multe procese

-q, --quiet, --silent
    nu afișează niciodată antete care oferă nume de fișiere

--retry
    continuă să încerce să deschidă un fișier dacă acesta pare să fie inaccesibil

-s, --sleep-interval=N
    cu -f, doarme timp de aproximativ N secunde (implicit 1.0) între iterații; cu inotify și --pid=P, verifică procesul P cel puțin o dată la fiecare N secunde.

-v, --verbose
    afișează întotdeauna antete care oferă nume de fișiere

-z, --zero-terminated
    delimitatorul de linie este NUL, nu linie nouă

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

NUM poate avea un sufix multiplicator: b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024, ș.a.m.d. pentru T, P, E, Z, Y,R,Q. Prefixele binare pot fi folosite, de asemenea: KiB=K, MiB=M, ș.a.m.d.

Cu --follow (-f), tail urmează în mod implicit descriptorul de fișier, ceea ce înseamnă că, chiar dacă un fișier este redenumit, tail va continua să urmărească sfârșitul acestuia. Acest comportament implicit nu este de dorit atunci când doriți cu adevărat să urmăriți numele real al fișierului, nu descriptorul de fișier (de exemplu, rotația jurnalului). În acest caz, utilizați --follow= nume. Acest lucru face ca tail să urmărească fișierul numit într-un mod care se adaptează la redenumire, eliminare și creare.

AUTOR
Scris de Paul Rubin, David MacKenzie, Ian Lance Taylor, și Jim Meyering.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
head(1)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/tail>
sau local rulând comanda: «info '(coreutils) tal invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.